# Check for Alerts

## Get Alerts for a Specific Job

<mark style="color:green;">`POST`</mark> `https://{telmai_endpoint}/api/backend/{tenant}/configuration/sources/{sourceID}/alerts?job_id={job_id}`

Returns the alerts generated for the specified scan job. Use the `job_id` returned by the [Trigger Scan](/telmai/api-reference/upload-data-api.md) endpoint.

#### Path Parameters

| Name                                         | Type   | Description       |
| -------------------------------------------- | ------ | ----------------- |
| `tenant`<mark style="color:red;">\*</mark>   | string | Tenant identifier |
| `sourceID`<mark style="color:red;">\*</mark> | string | Source (asset) ID |

#### Query Parameters

| Name                                       | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| `job_id`<mark style="color:red;">\*</mark> | string | Job ID returned by Trigger Scan |

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "type": "<alert_type>",
        "source": "<source_id>",
        "description": "<alert_description>",
        "job_id": "<job_id>",
        "create_time": "<upload_time>",
        "save_time": "<save_time>",
        "is_notification_enabled": true,
        "metric_time": "<metric_time>",
        "metric_value": "<metric_value>",
        "policy_name": "<policy_name>",
        "priority": "<priority_level>",
        "source_name": "<source_name>",
        "source_type": "<source_type>"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.telm.ai/telmai/api-reference/upload-data-api/check-for-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
